summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFahim2014-12-08 16:19:23 +0530
committerFahim2014-12-08 16:19:23 +0530
commit4091c0299d01e7b0a44ceb4a7760771d7ae1f858 (patch)
tree3d47339b36faae2c0be7389a74e8c86831569541
parenta2fcd504370e2922420075d44668eaa452cc1168 (diff)
downloadFreeEDA-4091c0299d01e7b0a44ceb4a7760771d7ae1f858.tar.gz
FreeEDA-4091c0299d01e7b0a44ceb4a7760771d7ae1f858.tar.bz2
FreeEDA-4091c0299d01e7b0a44ceb4a7760771d7ae1f858.zip
Subject: FreeEDA uninstallation script
Description: Written uninstallation script for FreeEDA.
-rwxr-xr-xinstallFreeEDA.sh5
-rwxr-xr-xuninstallFreeEDA.sh37
2 files changed, 42 insertions, 0 deletions
diff --git a/installFreeEDA.sh b/installFreeEDA.sh
index c8d61f1..eef4406 100755
--- a/installFreeEDA.sh
+++ b/installFreeEDA.sh
@@ -344,6 +344,11 @@ function import_kicad_lib() {
import_kicad_lib
+#Storing installation directory location of FreeEDA
+
+echo $installDir > installed_location
+
+
echo "Installation completed"
diff --git a/uninstallFreeEDA.sh b/uninstallFreeEDA.sh
new file mode 100755
index 0000000..cde5915
--- /dev/null
+++ b/uninstallFreeEDA.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+
+#This script will uninstall all the module required for FreeEDA.
+
+while read line
+do
+ echo "FreeEDA was installed at $line"
+ # Removing FreeEDA directory
+ echo "Removing FreeEDA directory from $line"
+ rm -rf $line/FreeEDA
+
+ if [ "$?" == 0 ];then
+ echo "FreeEDA directory removed sucessfully"
+ else
+ echo "There is come problem in removing FreeEDA directory"
+ echo "Please try to remove it manually from location $line"
+ fi
+
+done < installed_location
+
+
+
+#Removing python,ngspice and kicad from synaptic
+
+echo -n "This will uninstall python,ngspice and kicad. Are you sure to uninstall it (y/n): "
+read answer
+
+if [ $answer == "y" -o $answer == "Y" ];then
+ sudo apt-get purge kicad python ngspice
+else
+ echo "Uninstallation script completed without uninstalling python,kicad and ngspice"
+ exit 0;
+fi
+
+echo "Uninstallation script completed sucessfully"
+